Subject: Re: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Nov 2012 16:54:53 +0200

> From: "Fabrice Niessen" <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 09 Nov 2012 15:21:55 +0100
> 
> Eli,
> 
> Eli Zaretskii wrote:
> >> From: "Fabrice Niessen" <[email-masked]>
> >> 
> >> I don't use cmdproxy.exe; I use Cygwin bash for all my shell calls:
> >
> > Which could be the reason for the problem, btw, because Cygwin console
> > programs work differently wrt their standard streams than native
> > Windows programs.
> 
> *I won't do it now*, then, but would that mean that I should use:
> 
> - cmdproxy for single shell commands, and
> - bash for the interactive shell?
> 
> that is:
> 
> --8<---------------cut here---------------start------------->8---
>       ;; for single shell commands
>       (setq shell-file-name "cmdproxy.exe")
> 
>       ;; for the interactive (sub)shell
>       (setq explicit-shell-file-name "bash")
> --8<---------------cut here---------------end--------------->8---

Yes, probably.

> However, if I do that, I loose `sort', `grep', etc. that I can call on
> buffers, interactively.

Why would you lose them? they are programs, not Bash scripts.  Just
make sure your PATH is set up so that Emacs will find them.